Get contract metadata
Get contract metadata
GET
/insights/v1/contracts/metadata/{contractAddress}
Get contract metadata
Path Parameters
contract_address
string
required
path
Example:
"vitalik.eth"Query Parameters
chain
number[]
optional
query
Use chain_id instead
Example:
[20,56,1]chain_id
number[]
optional
query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example:
[20,56,1]Responses
200
Success
application/json
404
Not found
500
Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/contracts/metadata/{contractAddress}'
const response = await fetch('https://data-api.b3.fun//insights/v1/contracts/metadata/{contractAddress}', {
method: 'GET'
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://data-api.b3.fun//insights/v1/contracts/metadata/{contractAddress}')
print(response.json())
200
Response
{}
GET
/insights/v1/contracts/metadata/{contractAddress}